%define iconname svg-edit.png
%define name svg-edit
%define version 2.5.1
%define release %mkrel 1

Summary:	SVG Edit
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
License:	GPL
Group:		Graphics
URL:		http://code.google.com/p/svg-edit
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:   	glibc >= 2.12.1
Requires:   	libstdc++6 >= 4.5.2
Requires:   	gvfs
Requires:   	libgvfs0



%description
This package contains the Lightweight SVG-Edit browser application 


%prep
%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/svg-edit
cp -a * $RPM_BUILD_ROOT%{_datadir}/svg-edit/

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 images/%{name}.png %{buildroot}%{_liconsdir}/%{iconname}
convert images/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert images/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SVG-Edit
Comment=Lightweight SVG-Edit browser application
Exec=gvfs-open %{_datadir}/svg-edit/svg-editor.html
Icon=svg-edit.png
Terminal=false
Type=Application
StartupNotify=false
MimeType=text/plain;
Categories=Graphics;VectorGraphics;GTK;X-Mandriva-Multimedia-Graphics;
EOF


%post
%{update_menus}

%postun
%{clean_menus}
%{update_desktop_database}


%files
%defattr(-,root,root)
%{_datadir}/svg-edit/
%{_iconsdir}/*
%{_datadir}/applications/*



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Apr 01 2011 Sproggy <desproggster at gmail.com> 2.5.1-1pclos2011
- initial build
